PUT TimeSaver/PutSiteShifts
Request Information
URI Parameters
None.
Body Parameters
Collection of SiteShift| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| SiteID | globally unique identifier |
Required |
|
| Name | string |
Required |
|
| Code | string |
None. |
|
| DateStart | date |
Required |
|
| DateEnd | date |
Required |
|
| DayID | SiteDay |
Required |
|
| StartTime | time interval |
Required |
|
| EndTime | time interval |
Required |
|
| StartBeforeThreshold | time interval |
None. |
|
| StartAfterThreshold | time interval |
None. |
|
| EndBeforeThreshold | time interval |
None. |
|
| EndAfterThreshold | time interval |
None. |
|
| BreakTime | time interval |
None. |
|
| IsActive | boolean |
Required |
|
| IsNightShift | boolean |
Required |
|
| WorkingHours | decimal number |
Required |
|
| AutoClockOutTime | time interval |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": "344498b2-0eef-4f1a-8273-9c9ffe5cdefd",
"siteID": "2098c68d-f984-441e-bed3-1361c5b3580f",
"name": "sample string 3",
"code": "sample string 4",
"dateStart": "2026-06-12T23:01:15.5494551+00:00",
"dateEnd": "2026-06-12T23:01:15.5494551+00:00",
"dayID": 0,
"startTime": "00:00:00.1234567",
"endTime": "00:00:00.1234567",
"startBeforeThreshold": "00:00:00.1234567",
"startAfterThreshold": "00:00:00.1234567",
"endBeforeThreshold": "00:00:00.1234567",
"endAfterThreshold": "00:00:00.1234567",
"breakTime": "00:00:00.1234567",
"isActive": true,
"isNightShift": true,
"workingHours": 11.0,
"autoClockOutTime": "00:00:00.1234567"
},
{
"$ref": "1"
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.